GNU bug report logs - #14253
Testsuite failure in gnulib-tests: test programs cannot be built

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Stefano Lattarini <stefano.lattarini@HIDDEN>; Keywords: fixed; Done: Assaf Gordon <assafgordon@HIDDEN>; Maintainer for coreutils is bug-coreutils@HIDDEN.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 14253 <at> debbugs.gnu.org and Stefano Lattarini <stefano.lattarini@HIDDEN> Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 19 Oct 2018 00:16:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 20:16:32 2018
Received: from localhost ([127.0.0.1]:57693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDISu-0006ce-E2
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 20:16:32 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:41911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gDISt-0006XY-2H; Thu, 18 Oct 2018 20:16:31 -0400
Received: by mail-pf1-f179.google.com with SMTP id m77-v6so15638723pfi.8;
 Thu, 18 Oct 2018 17:16:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=LfqRrDcdNfHkrti6RHlZj1nE9VNt6mVoNeqDcSqIbfE=;
 b=RQBf/RAjsK9W3pTjwA1NPozzKQUkC5J09nIjD5Bgqw1D3SmEnfnZ+wHNjOWtH9AwTk
 iHUxZI4Zi/XcbriPv1aZqfobZlzLMlum3DIpOR5cZme7ILlWIYQZKkWYILhvk0FYj8Eg
 yk4/HhGnX7RyuF8SRdvw40J41mKNuM3gILY6dektL5T7X9/qeoDhqINTZC9KXQ/zmS8L
 JbC3P89wGSY2kq9bBEAYZKPsWaODIgFqIH9P7xqH5FKJUeIJ1BPLHSj2cawrHrQqJPZm
 yB/F4Ron8L289thRNfbrQgZ+jnPGSOqS373Ziqicd38U8MBa0YpneFyF1uNYA/VIm4GD
 47oA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=LfqRrDcdNfHkrti6RHlZj1nE9VNt6mVoNeqDcSqIbfE=;
 b=b5bP41yppjhxrrDE6wr3Nnph6kW63T04TecDRmsl9ENxRmEwJQrE4LvDgkZVodWsk3
 kx5ahe5vMV2TqovBpJw+PztWj64tdTVV4zX6F0n7z4f6Xce1fA2ODmemj/EpmRF2Fs/H
 HxiSWKtyBQnQ7uwzU7BEuqDeBsg5NuvImWCd8w45bmVryZ0pvBcUCMs5DCfr6iym+5gl
 5YvThxLXN6jo7iG1yQ9t8nOGmjznOe66/HAEuEczBtOTy++/NrpijdsA+Op7fmxE+3lI
 NbNtWXwqOO1Y+SMPx5ln1UzeB+/Yr4VHOsixwnX8jm5jtjnWFXNrB9B3pOKm0h0tFyfh
 MBMw==
X-Gm-Message-State: ABuFfoiurwOaYMn1Z6ryA3hCKRjqFWvp3Mf56N+uh/CMVQebPLMVTw9W
 hg26KZ3Ejgv+QwMORoGGEszYz3whPH0=
X-Google-Smtp-Source: ACcGV60sfu+w0jHeqeZ2RkZ7Cafy5qQ/KSQ8UFVBSspG7HgDI6XN3lcd7sjcNv5YaVuKKn6N5G2v9g==
X-Received: by 2002:a63:3642:: with SMTP id
 d63-v6mr30025737pga.404.1539908184252; 
 Thu, 18 Oct 2018 17:16:24 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 i5-v6sm25680405pgl.46.2018.10.18.17.16.22
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 18 Oct 2018 17:16:23 -0700 (PDT)
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs
 cannot be built
To: 14253 <at> debbugs.gnu.org
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
 <5178BF54.6000503@HIDDEN> <5178E938.30102@HIDDEN>
 <517F8E9E.6030503@HIDDEN> <517FF590.4080603@HIDDEN>
 <m3ppxb0xs3.fsf-ueno@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <287f1c35-02e5-a38a-8329-e6eae72cfc32@HIDDEN>
Date: Thu, 18 Oct 2018 18:16:20 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <m3ppxb0xs3.fsf-ueno@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 14253
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 14253 fixed
close 14253
stop

(triaging old bugs)
5 years later, coreutils and gnulib-tests are built fine
(most of the time...).

Closing.

-assaf






Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 1 May 2013 11:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 01 07:01:59 2013
Received: from localhost ([127.0.0.1]:53411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UXUnO-0006BC-Is
	for submit <at> debbugs.gnu.org; Wed, 01 May 2013 07:01:59 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:34948)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ueno@HIDDEN>) id 1UXUnK-0006Av-NQ
	for 14253 <at> debbugs.gnu.org; Wed, 01 May 2013 07:01:55 -0400
Received: from [2001:e41:db5e:fb14::1] (port=36009 helo=localhost.localdomain)
	by fencepost.gnu.org with esmtpsa
	(TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16) (Exim 4.71)
	(envelope-from <ueno@HIDDEN>)
	id 1UXUmn-0008Me-3Q; Wed, 01 May 2013 07:01:21 -0400
Message-ID: <m3ppxb0xs3.fsf-ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs
	cannot be built
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
	<5178BF54.6000503@HIDDEN> <5178E938.30102@HIDDEN>
	<517F8E9E.6030503@HIDDEN> <517FF590.4080603@HIDDEN>
Date: Wed, 01 May 2013 20:01:16 +0900
In-Reply-To: <517FF590.4080603@HIDDEN> (Paul Eggert's message of "Tue, 30
	Apr 2013 09:47:12 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -9.5 (---------)
X-Debbugs-Envelope-To: 14253
Cc: bug-gnulib <bug-gnulib@HIDDEN>, 14253 <at> debbugs.gnu.org,
	Bernhard Voelker <mail@HIDDEN>,
	Stefano Lattarini <stefano.lattarini@HIDDEN>,
	Bruno Haible <bruno@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -9.5 (---------)

Paul Eggert <eggert@HIDDEN> writes:

>> Ping on this?  I'm still have to create a dummy 'intl' directory myself
>> if I want to be able to bootstrap coreutils from the git repository ...
>
> Since it's causing you problems I installed the patch into gnulib.
> We can always change it later if Daiki or Bruno prefers that.

FWIW, the change looks reasonable to me.  Given that modules/gettext
adds AM_GNU_GETTEXT([external]) to configure.ac, the AM_CPPFLAGS setting
seems to be nothing more than example.

Regards,
-- 
Daiki Ueno





Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 30 Apr 2013 16:47:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 12:47:48 2013
Received: from localhost ([127.0.0.1]:52528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UXDiW-0007Av-JW
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2013 12:47:48 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:36682)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1UXDiS-0007Ag-OU
	for 14253 <at> debbugs.gnu.org; Tue, 30 Apr 2013 12:47:45 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id DBF4239E8106;
	Tue, 30 Apr 2013 09:47:19 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id sgoJxq0dACP0; Tue, 30 Apr 2013 09:47:19 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id D642E39E8100;
	Tue, 30 Apr 2013 09:47:18 -0700 (PDT)
Message-ID: <517FF590.4080603@HIDDEN>
Date: Tue, 30 Apr 2013 09:47:12 -0700
From: Paul Eggert <eggert@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:17.0) Gecko/20130311 Thunderbird/17.0.4
MIME-Version: 1.0
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot
	be built
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
	<5178BF54.6000503@HIDDEN> <5178E938.30102@HIDDEN>
	<517F8E9E.6030503@HIDDEN>
In-Reply-To: <517F8E9E.6030503@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -6.7 (------)
X-Debbugs-Envelope-To: 14253
Cc: 14253 <at> debbugs.gnu.org, Bruno Haible <bruno@HIDDEN>,
	Bernhard Voelker <mail@HIDDEN>,
	bug-gnulib <bug-gnulib@HIDDEN>, Daiki Ueno <ueno@HIDDEN>,
	=?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.7 (------)

On 04/30/13 02:27, Stefano Lattarini wrote:

> Actually, I believe the current gettext maintainer is Daiki Ueno:
> <http://lists.gnu.org/archive/html/bug-gettext/2012-12/msg00004.html>

Hmm, well, perhaps Daiki should be listed as the maintainer for
at least the gettext-related modules in Gnulib?  I'll CC: this Daiki,
as a heads-up.  Daiki, this thread is at:

bugs.gnu.org/14253

> Ping on this?  I'm still have to create a dummy 'intl' directory myself
> if I want to be able to bootstrap coreutils from the git repository ...

Since it's causing you problems I installed the patch into gnulib.
We can always change it later if Daiki or Bruno prefers that.





Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 30 Apr 2013 09:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 05:28:27 2013
Received: from localhost ([127.0.0.1]:51573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UX6rK-0002mb-La
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2013 05:28:27 -0400
Received: from mail-ee0-f51.google.com ([74.125.83.51]:49734)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UX6rI-0002mO-2Y
	for 14253 <at> debbugs.gnu.org; Tue, 30 Apr 2013 05:28:25 -0400
Received: by mail-ee0-f51.google.com with SMTP id c1so136677eek.38
	for <14253 <at> debbugs.gnu.org>; Tue, 30 Apr 2013 02:28:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=8qQhznr4FPKuNxfhGoTfb4vG4fD/f+HEGoZQdZb9p3s=;
	b=UqB9jbBSlOCraryHbxsMPx8Zf7dfYIR3LBp9J3vbsNhqr0ZeHczfoakw8JDwLpWfDq
	spg8yUTJjMO/DdGyQe9r2QaT6bO5MSmoSSBWDDLvzyj3YUq/2CH07TTaBVuimkxsGhTc
	ZHgmvwTbdCmj5EJ37B76RsE4HFpJbx7cHl9xbqQ8ZM44s5xAN5jjucjGwbe6ANy0qZFx
	1bPQLNosxWj2aJ0idnjziPq0Nfivdfe9zLDAS4zxqiZo+My7+7qHZyfbhvbLKsZzIcnW
	y4+nBm2wKs3narbbKIkh7gx+CRx44Bu2A8nD4alAdUYMBm3/FwbiH4YwdhwkzxpD/32n
	T3RA==
X-Received: by 10.14.149.141 with SMTP id x13mr133631782eej.31.1367314081024; 
	Tue, 30 Apr 2013 02:28:01 -0700 (PDT)
Received: from [192.168.178.20]
	(host93-95-dynamic.6-79-r.retail.telecomitalia.it. [79.6.95.93])
	by mx.google.com with ESMTPSA id
	cb50sm37469245eeb.14.2013.04.30.02.27.59 for <multiple recipients>
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Tue, 30 Apr 2013 02:28:00 -0700 (PDT)
Message-ID: <517F8E9E.6030503@HIDDEN>
Date: Tue, 30 Apr 2013 11:27:58 +0200
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot
	be built
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
	<5178BF54.6000503@HIDDEN> <5178E938.30102@HIDDEN>
In-Reply-To: <5178E938.30102@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14253
Cc: 14253 <at> debbugs.gnu.org, bug-gnulib <bug-gnulib@HIDDEN>,
	=?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>,
	Bruno Haible <bruno@HIDDEN>, Bernhard Voelker <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Hi Paul, Pádraig.

On 04/25/2013 10:28 AM, Stefano Lattarini wrote:
> On 04/25/2013 07:29 AM, Paul Eggert wrote:
>> On 04/24/2013 02:08 AM, Pádraig Brady wrote:
>>> Bernhard noticed this also:
>>> http://lists.gnu.org/archive/html/coreutils/2013-03/msg00065.html
>>
>> Thanks, here's a proposed patch.  I'll CC: this to Bruno since he's
>> gettext's maintainer.
>>
Actually, I believe the current gettext maintainer is Daiki Ueno:
<http://lists.gnu.org/archive/html/bug-gettext/2012-12/msg00004.html>

>> From 319571c0a0ad96d60f00470ef5d0ac8cc83c194b Mon Sep 17 00:00:00 2001
>> From: Paul Eggert <eggert@HIDDEN>
>> Date: Wed, 24 Apr 2013 22:26:31 -0700
>> Subject: [PATCH] gettext: now your responsibility to add
>>
> s/now/now it's/ ?
> 
>>  -$(top_builddir)/intl
>>
> I guess you meant '-I$(top_builddir)/intl' here.
> 
> [SNIP]
> 
Ping on this?  I'm still have to create a dummy 'intl' directory myself
if I want to be able to bootstrap coreutils from the git repository ...

Thanks,
  Stefano




Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 25 Apr 2013 08:34:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 25 04:34:01 2013
Received: from localhost ([127.0.0.1]:42278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UVHcr-000637-AQ
	for submit <at> debbugs.gnu.org; Thu, 25 Apr 2013 04:34:01 -0400
Received: from mail-ee0-f46.google.com ([74.125.83.46]:60354)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UVHck-00062h-Qk
	for 14253 <at> debbugs.gnu.org; Thu, 25 Apr 2013 04:33:55 -0400
Received: by mail-ee0-f46.google.com with SMTP id c13so1111420eek.19
	for <14253 <at> debbugs.gnu.org>; Thu, 25 Apr 2013 01:28:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=0zvTzc9l8xw3pTJYLGH16Un1fBXf7SBkFUs4z4ZRCl0=;
	b=O4iuqRPGbKKlgyowtxjBkGrYkKEtEdAtY/EnmXLLx6LueUkrljninsDE/KmVq4erMw
	I9mgOytXPbXl3d8qDiTEdyHhZ24QHoeUtmSg3IarQXFhirwsEQbDnkVAqKE1zFh686Ww
	kSXuJx6vp741EZY1j90jzzmASEkvcoAd9gVoyRsWUaYxAmKKvHga/0ARa7c2+nlsNJdR
	6MXMv2ZURZeSL8yuvAG6vvPoi6HlUry5BaS9mSHBCVuD6HQleimJ0uBa/sSwMInwVG0G
	nFZSEgaqYfjZ58G0UJFFP4JWGokCorK+CPRxmr8EPgODQ8qnqQXWf1/bQAvGzTy6X4Du
	I7Jw==
X-Received: by 10.15.43.73 with SMTP id w49mr73323680eev.12.1366878523332;
	Thu, 25 Apr 2013 01:28:43 -0700 (PDT)
Received: from [192.168.178.20]
	(host93-95-dynamic.6-79-r.retail.telecomitalia.it. [79.6.95.93])
	by mx.google.com with ESMTPSA id i53sm8980168eeu.5.2013.04.25.01.28.41
	for <multiple recipients>
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Thu, 25 Apr 2013 01:28:42 -0700 (PDT)
Message-ID: <5178E938.30102@HIDDEN>
Date: Thu, 25 Apr 2013 10:28:40 +0200
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot
	be built
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
	<5178BF54.6000503@HIDDEN>
In-Reply-To: <5178BF54.6000503@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14253
Cc: 14253 <at> debbugs.gnu.org, bug-gnulib <bug-gnulib@HIDDEN>,
	=?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>,
	Bruno Haible <bruno@HIDDEN>, Bernhard Voelker <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 04/25/2013 07:29 AM, Paul Eggert wrote:
> On 04/24/2013 02:08 AM, Pádraig Brady wrote:
>> Bernhard noticed this also:
>> http://lists.gnu.org/archive/html/coreutils/2013-03/msg00065.html
> 
> Thanks, here's a proposed patch.  I'll CC: this to Bruno since he's
> gettext's maintainer.
> 
> From 319571c0a0ad96d60f00470ef5d0ac8cc83c194b Mon Sep 17 00:00:00 2001
> From: Paul Eggert <eggert@HIDDEN>
> Date: Wed, 24 Apr 2013 22:26:31 -0700
> Subject: [PATCH] gettext: now your responsibility to add
>
s/now/now it's/ ?

>  -$(top_builddir)/intl
>
I guess you meant '-I$(top_builddir)/intl' here.

[SNIP]

Regards,
  Stefano




Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 25 Apr 2013 05:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 25 01:35:10 2013
Received: from localhost ([127.0.0.1]:42100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UVEpo-0008WU-6u
	for submit <at> debbugs.gnu.org; Thu, 25 Apr 2013 01:35:10 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:33652)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1UVEpl-0008WK-CG
	for 14253 <at> debbugs.gnu.org; Thu, 25 Apr 2013 01:35:07 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id 319D9A60001;
	Wed, 24 Apr 2013 22:29:58 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 5lElEmAOKcy5; Wed, 24 Apr 2013 22:29:57 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-189-154-249.lsanca.fios.verizon.net
	[71.189.154.249])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id DF84239E8100;
	Wed, 24 Apr 2013 22:29:56 -0700 (PDT)
Message-ID: <5178BF54.6000503@HIDDEN>
Date: Wed, 24 Apr 2013 22:29:56 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:17.0) Gecko/20130329 Thunderbird/17.0.5
MIME-Version: 1.0
To: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot
	be built
References: <51779900.5040806@HIDDEN> <5177A11F.80907@HIDDEN>
In-Reply-To: <5177A11F.80907@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 14253
Cc: 14253 <at> debbugs.gnu.org, bug-gnulib <bug-gnulib@HIDDEN>,
	Stefano Lattarini <stefano.lattarini@HIDDEN>,
	Bruno Haible <bruno@HIDDEN>, Bernhard Voelker <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On 04/24/2013 02:08 AM, P=C3=A1draig Brady wrote:
> Bernhard noticed this also:
> http://lists.gnu.org/archive/html/coreutils/2013-03/msg00065.html

Thanks, here's a proposed patch.  I'll CC: this to Bruno since he's
gettext's maintainer.

From 319571c0a0ad96d60f00470ef5d0ac8cc83c194b Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Wed, 24 Apr 2013 22:26:31 -0700
Subject: [PATCH] gettext: now your responsibility to add
 -$(top_builddir)/intl

Formerly, it was your responsibility to do this for all Makefile.ams
other than Gnulib's.  Now it's your responsibility to do it for
Gnulib's Makefile.am, too.
* NEWS: Document this.
* modules/gettext (AM_CPPFLAGS): Don't append -$(top_builddir)/intl.
---
 ChangeLog       |  9 +++++++++
 NEWS            |  4 ++++
 modules/gettext | 17 +++++++++--------
 3 files changed, 22 insertions(+), 8 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index f49e881..805f5fb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2013-04-24  Paul Eggert  <eggert@HIDDEN>
+
+	gettext: now your responsibility to add -$(top_builddir)/intl
+	Formerly, it was your responsibility to do this for all Makefile.ams
+	other than Gnulib's.  Now it's your responsibility to do it for
+	Gnulib's Makefile.am, too.
+	* NEWS: Document this.
+	* modules/gettext (AM_CPPFLAGS): Don't append -$(top_builddir)/intl.
+
 2013-04-11  Dmitry V. Levin  <ldv@HIDDEN>
=20
 	regex-tests, regex: allow glibc re_search behavior
diff --git a/NEWS b/NEWS
index 2227d3f..fa3a8c6 100644
--- a/NEWS
+++ b/NEWS
@@ -3,6 +3,10 @@ Important notes
=20
 Date        Modules         Changes
=20
+2013-04-24  gettext         If your project uses 'gettextize --intl' it =
is now
+                            your responsibility to put -I$(top_builddir)=
/intl
+                            into the Makefile.am for gnulib.
+
 2012-06-27  elisp-comp      The module 'elisp-comp' is removed; the scri=
pt is
                             not independently useful outside of automake=
.
=20
diff --git a/modules/gettext b/modules/gettext
index ca0b684..3da0e2e 100644
--- a/modules/gettext
+++ b/modules/gettext
@@ -45,15 +45,16 @@ AM_GNU_GETTEXT([external])
 AM_GNU_GETTEXT_VERSION([0.18.1])
=20
 Makefile.am:
-# This is for those projects which use "gettextize --intl" to put a sour=
ce-code
-# copy of libintl into their package. In such projects, every Makefile.a=
m needs
+# If your project uses "gettextize --intl" to put a source-code
+# copy of libintl into the package, every Makefile.am needs
 # -I$(top_builddir)/intl, so that <libintl.h> can be found in this direc=
tory.
-# For the Makefile.ams in other directories it is the maintainer's
-# responsibility; for the one from gnulib we do it here.
-# This option has no effect when the user disables NLS (because then the=
 intl
-# directory contains no libintl.h file) or when the project does not use
-# "gettextize --intl".
-AM_CPPFLAGS +=3D -I$(top_builddir)/intl
+# Here's one way to do this:
+#AM_CPPFLAGS +=3D -I$(top_builddir)/intl
+# This option has no effect when the user disables NLS (because then
+# the intl directory contains no libintl.h file).  This option is not
+# enabled by default because the intl directory might not exist if
+# your project does not use "gettext --intl", and some compilers
+# complain about -I options applied to nonexistent directories.
=20
 Include:
 "gettext.h"
--=20
1.7.11.7






Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at 14253 <at> debbugs.gnu.org:


Received: (at 14253) by debbugs.gnu.org; 24 Apr 2013 09:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 24 05:36:26 2013
Received: from localhost ([127.0.0.1]:40325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UUw7i-00008w-0R
	for submit <at> debbugs.gnu.org; Wed, 24 Apr 2013 05:36:26 -0400
Received: from mx1.redhat.com ([209.132.183.28]:13083)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1UUw7b-00007y-P4
	for 14253 <at> debbugs.gnu.org; Wed, 24 Apr 2013 05:36:20 -0400
Received: from int-mx01.intmail.prod.int.phx2.redhat.com
	(int-mx01.intmail.prod.int.phx2.redhat.com [10.5.11.11])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id r3O9Tlba003401
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 24 Apr 2013 05:31:13 -0400
Received: from [10.36.116.72] (ovpn-116-72.ams2.redhat.com [10.36.116.72])
	by int-mx01.intmail.prod.int.phx2.redhat.com (8.13.8/8.13.8) with ESMTP
	id r3O98mNx022020
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 24 Apr 2013 05:08:50 -0400
Message-ID: <5177A11F.80907@HIDDEN>
Date: Wed, 24 Apr 2013 10:08:47 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:17.0) Gecko/20130110 Thunderbird/17.0.2
MIME-Version: 1.0
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: bug#14253: Testsuite failure in gnulib-tests: test programs cannot
	be built
References: <51779900.5040806@HIDDEN>
In-Reply-To: <51779900.5040806@HIDDEN>
X-Enigmail-Version: 1.5.1
Content-Type: text/plain; charset=UTF-8
X-Scanned-By: MIMEDefang 2.67 on 10.5.11.11
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	r3O9Tlba003401
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 14253
Cc: bug-gnulib <bug-gnulib@HIDDEN>, 14253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 04/24/2013 09:34 AM, Stefano Lattarini wrote:
> It happens when building from a bootstrapped git checkout, with the
> latest master v8.21-40-g090294b).
>=20
> This is the exact error:
>=20
>   $ (cd gnulib-tests && make check)
>   ...
>   make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/=
gnulib-tests'
>   CC     localename.o
>   cc1: error: ../intl: No such file or directory [-Werror]
>   cc1: all warnings being treated as errors
>   make[3]: *** [localename.o] Error 1
>=20
> Some details that might be helpful:
>=20
>   $ (cd gnulib-tests && make check V=3D1)
>   ...
>   make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/=
gnulib-tests'
>   depbase=3D`echo localename.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
>   gcc -std=3Dgnu99  -I. -I../lib  -DIN_COREUTILS_GNULIB_TESTS=3D1 \
>    -I. -I. -I.. -I./.. -I../lib -I./../lib -I../intl  \
>    -W \
...
>    -Werror -g -O2 -MT localename.o -MD -MP -MF $depbase.Tpo -c -o local=
ename.o localename.c &&\
>   mv -f $depbase.Tpo $depbase.Po
>   cc1: error: ../intl: No such file or directory [-Werror]
>   cc1: all warnings being treated as errors

>   $ gcc --version
>   gcc (Debian 4.7.2-5) 4.7.2

Bernhard noticed this also:
http://lists.gnu.org/archive/html/coreutils/2013-03/msg00065.html

CCing gnulib

thanks,
P=C3=A1draig.




Information forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Apr 2013 08:39:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 24 04:39:25 2013
Received: from localhost ([127.0.0.1]:40282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UUvEa-0005Q1-3V
	for submit <at> debbugs.gnu.org; Wed, 24 Apr 2013 04:39:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58447)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUvEX-0005PX-G0
	for submit <at> debbugs.gnu.org; Wed, 24 Apr 2013 04:39:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUv9d-0006Qw-TC
	for submit <at> debbugs.gnu.org; Wed, 24 Apr 2013 04:34:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	T_DKIM_INVALID,USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35307)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUv9d-0006Qq-Qj
	for submit <at> debbugs.gnu.org; Wed, 24 Apr 2013 04:34:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41548)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUv9b-0007hg-DN
	for bug-coreutils@HIDDEN; Wed, 24 Apr 2013 04:34:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUv9Y-0006NL-6d
	for bug-coreutils@HIDDEN; Wed, 24 Apr 2013 04:34:15 -0400
Received: from mail-bk0-x236.google.com ([2a00:1450:4008:c01::236]:37712)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UUv9X-0006NA-Vy
	for bug-coreutils@HIDDEN; Wed, 24 Apr 2013 04:34:12 -0400
Received: by mail-bk0-f54.google.com with SMTP id q11so623009bkw.27
	for <bug-coreutils@HIDDEN>; Wed, 24 Apr 2013 01:34:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:subject
	:content-type:content-transfer-encoding;
	bh=scgRZdt/QJAWIL0p0jyh1Jc2//RhrpMHgkxxQ2p4d+Q=;
	b=EBjh5cp5sq9TpjRoaOayAIwuzpVNCGk848Y5M+WdgXPCBcFF0xPNhNRXunrvkxNr0U
	0btmVnbIb/PFH3jOlP7BanGVcpPvgL1NB77EaW2p0g+xcsxb9bYxdNG8pklDmo/PJAGJ
	Xe449e3hX4CXHm0MHaIZhK8jffG0+XBVxytPBxO9JCkaqProYR4eYete3VptQ5n8+89r
	NrQXX7ipVfNrYW0Ib8y+tRsJAu2D/8BnFUMPMylnL1415DIsVWOm49vXUMmkpm6FeWaD
	GYg09oU+9gBAvTpYJ8sB4npK2LoPXMh9IFZ66PnwBpO8DjE+hd7GhEksk8JFtyE+wAOL
	Abtg==
X-Received: by 10.205.123.138 with SMTP id gk10mr14464235bkc.49.1366792451093; 
	Wed, 24 Apr 2013 01:34:11 -0700 (PDT)
Received: from [192.168.178.20]
	(host93-95-dynamic.6-79-r.retail.telecomitalia.it. [79.6.95.93])
	by mx.google.com with ESMTPSA id tc9sm297844bkb.18.2013.04.24.01.34.09
	for <bug-coreutils@HIDDEN>
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Wed, 24 Apr 2013 01:34:10 -0700 (PDT)
Message-ID: <51779900.5040806@HIDDEN>
Date: Wed, 24 Apr 2013 10:34:08 +0200
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: Testsuite failure in gnulib-tests: test programs cannot be built
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

It happens when building from a bootstrapped git checkout, with the
latest master v8.21-40-g090294b).

This is the exact error:

  $ (cd gnulib-tests && make check)
  ...
  make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  CC     localename.o
  cc1: error: ../intl: No such file or directory [-Werror]
  cc1: all warnings being treated as errors
  make[3]: *** [localename.o] Error 1

Some details that might be helpful:

  $ (cd gnulib-tests && make check V=1)
  ...
  make[3]: Entering directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  depbase=`echo localename.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
  gcc -std=gnu99  -I. -I../lib  -DIN_COREUTILS_GNULIB_TESTS=1 \
   -I. -I. -I.. -I./.. -I../lib -I./../lib -I../intl  \
   -W \
   -Wabi \
   -Waddress \
   -Wall \
   -Warray-bounds \
   -Wattributes \
   -Wbad-function-cast \
   -Wbuiltin-macro-redefined \
   -Wcast-align \
   -Wchar-subscripts \
   -Wclobbered \
   -Wcomment \
   -Wcomments \
   -Wcoverage-mismatch \
   -Wcpp \
   -Wdeprecated \
   -Wdeprecated-declarations \
   -Wdisabled-optimization \
   -Wdiv-by-zero \
   -Wempty-body \
   -Wendif-labels \
   -Wenum-compare \
   -Wextra \
   -Wformat-contains-nul \
   -Wformat-extra-args \
   -Wformat-security \
   -Wformat-y2k \
   -Wformat-zero-length \
   -Wformat=2 \
   -Wfree-nonheap-object \
   -Wignored-qualifiers \
   -Wimplicit \
   -Wimplicit-function-declaration \
   -Wimplicit-int \
   -Winit-self \
   -Wint-to-pointer-cast \
   -Winvalid-memory-model \
   -Winvalid-pch \
   -Wjump-misses-init \
   -Wmain \
   -Wmaybe-uninitialized \
   -Wmissing-braces \
   -Wmissing-declarations \
   -Wmissing-field-initializers \
   -Wmissing-include-dirs \
   -Wmissing-noreturn \
   -Wmissing-parameter-type \
   -Wmudflap \
   -Wmultichar \
   -Wnarrowing \
   -Wnonnull \
   -Wnormalized=nfc \
   -Wold-style-declaration \
   -Woverflow \
   -Woverlength-strings \
   -Woverride-init \
   -Wpacked \
   -Wpacked-bitfield-compat \
   -Wparentheses \
   -Wpointer-arith \
   -Wpointer-sign \
   -Wpointer-to-int-cast \
   -Wpragmas \
   -Wreturn-type \
   -Wsequence-point \
   -Wshadow \
   -Wstrict-aliasing \
   -Wsuggest-attribute=noreturn \
   -Wswitch \
   -Wsync-nand \
   -Wtrampolines \
   -Wtrigraphs \
   -Wtype-limits \
   -Wunknown-pragmas \
   -Wunused \
   -Wunused-but-set-parameter \
   -Wunused-but-set-variable \
   -Wunused-function \
   -Wunused-label \
   -Wunused-local-typedefs \
   -Wunused-parameter \
   -Wunused-result \
   -Wunused-value \
   -Wunused-variable \
   -Wvariadic-macros \
   -Wvector-operation-performance \
   -Wvolatile-register-var \
   -Wwrite-strings \
   -Wno-sign-compare \
   -Wno-unused-parameter \
   -Wsuggest-attribute=noreturn \
   -Wno-format-nonliteral \
   -Wno-logical-op -fdiagnostics-show-option -funit-at-a-time \
   -Werror -g -O2 -MT localename.o -MD -MP -MF $depbase.Tpo -c -o localename.o localename.c &&\
  mv -f $depbase.Tpo $depbase.Po
  cc1: error: ../intl: No such file or directory [-Werror]
  cc1: all warnings being treated as errors
  make[3]: *** [localename.o] Error 1
  make[3]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make[2]: *** [check-am] Error 2
  make[2]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make[1]: *** [check-recursive] Error 1
  make[1]: Leaving directory `/storage/home/stefano/src/gnu/coreutils/gnulib-tests'
  make: *** [check] Error 2

  $ gcc --version
  gcc (Debian 4.7.2-5) 4.7.2
  Copyright (C) 2012 Free Software Foundation, Inc.
  This is free software; see the source for copying conditions.  There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Let me know if you need more information,
  Stefano




Acknowledgement sent to Stefano Lattarini <stefano.lattarini@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#14253; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Nov 2018 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.